uk.gov.hmrc.customs.api.common.controllers

# HttpStatusCodeShortDescriptions

###
Related Doc: package controllers

#### trait HttpStatusCodeShortDescriptions extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
ErrorResponse
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpStatusCodeShortDescriptions
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val AcceptedCode: String

5. #### val BadGateway: String

6. #### val BadRequestCode: String

7. #### val CreatedCode: String

8. #### val ForbiddenCode: String

9. #### val InternalServerErrorCode: String

10. #### val MethodNotAllowedCode: String

11. #### val NotAcceptableCode: String

12. #### val NotFoundCode: String

13. #### val NotImplemented: String

14. #### val OkCode: String

15. #### val ServiceUnavailable: String

16. #### val UnauthorizedCode: String

17. #### val UnsupportedMediaTypeCode: String

18. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

19. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped